Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0044554
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2020-07-03 18:162020-07-31 10:08
ReporterlbressanView Statuspublic 
Assigned Toinigo_lerga 
PrioritynormalResolutionfixedFixed in VersionPR20Q4
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0044554: New Physical Inventory documents created with incorrect organization

DescriptionWhen user logs in with a role which has multiple organization access, then new Physical Inventory document is populated with incorrect organization. The bug could be reproduced in RR19Q4.4 and also RR20Q2

Please see the attached document which contains all the details.
Steps To Reproduce    1) Login with any role (having multiple organization access) in any organization
    2) Open Physical inventory window.
    3) Click on any row with organization, other than the organization selected during login.
    4) Create a new Physical inventory document.
    5) The new inventory document is populated with organization as in step 3 and not the default organization.
TagsNo tags attached.
Attached Filesdocx file icon Bug – Physical Inventory document created with incorrect organization.docx [^] (16,616 bytes) 2020-07-03 18:16

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0121575)
inigo_lerga (developer)
2020-07-23 09:57

--Test Plan Mantis HQL--

As the F&B International Group Admin role in Backend (with a specific Organization):
  - Go to Physical Inventory window and select any record with a different Organization
    than the one selected in your login preferences.
    Create a new Physical Inventory record. It is now populated with the correct Organization.
(0121717)
hgbot (developer)
2020-07-30 15:23

Merge Request created: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/117 [^]
(0121731)
hgbot (developer)
2020-07-31 10:08

Merge request merged: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/117 [^]
(0121732)
hgbot (developer)
2020-07-31 10:08

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: c24aba2e67ef609032695c3c2571364ebf17d9e6
Author: inigo_lerga <inigo.lerga@openbravo.com>
Date: 2020-07-30T09:51:31+02:00
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/c24aba2e67ef609032695c3c2571364ebf17d9e6 [^]

fixes BUG-44554:Default Organization instead of selected one

Now the default Organization in the User login preferences
is the one used for a new record instead of the selected
one in the grid view of Physical Inventory window.

---
M src-db/database/sourcedata/AD_COLUMN.xml
---

- Issue History
Date Modified Username Field Change
2020-07-03 18:16 lbressan New Issue
2020-07-03 18:16 lbressan Assigned To => Retail
2020-07-03 18:16 lbressan File Added: Bug – Physical Inventory document created with incorrect organization.docx
2020-07-03 18:16 lbressan Triggers an Emergency Pack => No
2020-07-10 08:28 marvintm Project Retail Modules => Openbravo ERP
2020-07-10 08:29 marvintm Modules => Core
2020-07-10 08:29 marvintm Assigned To Retail => Triage Finance
2020-07-10 08:29 marvintm Category Mobile Physical Inventory => 04. Warehouse management
2020-07-10 08:29 marvintm version RR19Q4.4 =>
2020-07-10 08:29 marvintm Target Version RR20Q2.2 =>
2020-07-10 10:43 Sandrahuguet Assigned To Triage Finance => inigo_lerga
2020-07-10 12:14 inigo_lerga Status new => scheduled
2020-07-23 09:57 inigo_lerga Note Added: 0121575
2020-07-24 10:24 dmiguelez Assigned To inigo_lerga => platform
2020-07-30 01:09 AugustoMauch Assigned To platform => Triage Finance
2020-07-30 08:40 dmiguelez Assigned To Triage Finance => inigo_lerga
2020-07-30 15:23 hgbot Note Added: 0121717
2020-07-31 10:08 hgbot Resolution open => fixed
2020-07-31 10:08 hgbot Status scheduled => closed
2020-07-31 10:08 hgbot Note Added: 0121731
2020-07-31 10:08 hgbot Fixed in Version => PR20Q4
2020-07-31 10:08 hgbot Note Added: 0121732


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker